﻿import 'package:flutter/material.dart';
import 'package:flutter_vibrate/flutter_vibrate.dart';

import '../models/mode.dart';

final List<Mode> modes = [
  Mode(
    id: 1,
    isPremium: true,
    name: 'Fire',
    icon: Icons.fire_extinguisher,
    patterns: {
      'pauses': [
        {
          'type': 2,
          'action': FeedbackType.heavy,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.heavy,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.medium,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.medium,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.medium,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.medium,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.heavy,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.heavy,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.heavy,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.heavy,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.impact,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.heavy,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.heavy,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.heavy,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.heavy,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.light,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.light,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.heavy,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.impact,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.error,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.heavy,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.error,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.impact,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.error,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.light,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.medium,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.success,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.warning,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.selection,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.error,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.impact,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.error,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.heavy,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.error,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.impact,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.error,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.light,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.medium,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.success,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.warning,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.selection,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.error,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.impact,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.error,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.heavy,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.error,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.impact,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.error,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.light,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.medium,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.success,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.warning,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.selection,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.error,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.impact,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.error,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.heavy,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.error,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.impact,
          'delay': 50,
        },
        {
          'type': 2,
          'action': FeedbackType.error,
          'delay': 50,
        },
        {
          'type': 1,
          'action': 500,
        },
        {
          'type': 1,
          'action': 500,
        },
        {
          'type': 1,
          'action': 500,
        },
        {
          'type': 1,
          'action': 500,
        },
      ],
    },
  ),
  Mode(
    id: 2,
    isPremium: false,
    name: 'Soft',
    icon: Icons.lens_blur,
    patterns: {
      'pauses': [
        {
          'type': 1,
          'action': 500,
        },
        {
          'type': 2,
          'action': FeedbackType.error,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.impact,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.error,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.impact,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.error,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.impact,
          'delay': 100,
        },
        {
          'type': 1,
          'action': 250,
        },
        {
          'type': 1,
          'action': 250,
        },
        {
          'type': 2,
          'action': FeedbackType.impact,
          'delay': 250,
        },
        {
          'type': 2,
          'action': FeedbackType.impact,
          'delay': 250,
        },
        {
          'type': 2,
          'action': FeedbackType.impact,
          'delay': 250,
        }
      ],
    },
  ),
  Mode(
    id: 3,
    isPremium: true,
    name: 'Moon',
    icon: Icons.dark_mode,
    patterns: {
      'pauses': [
        {
          'type': 1,
          'action': 500,
        },
        {
          'type': 1,
          'action': 500,
        },
        {
          'type': 2,
          'action': FeedbackType.error,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.impact,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.impact,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.error,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.error,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.impact,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.impact,
          'delay': 100,
        },
        {
          'type': 1,
          'action': 500,
        },
        {
          'type': 1,
          'action': 500,
        },
        {
          'type': 1,
          'action': 500,
        },
        {
          'type': 1,
          'action': 500,
        },
        {
          'type': 1,
          'action': 500,
        },
        {
          'type': 2,
          'action': FeedbackType.light,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.medium,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.success,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.warning,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.selection,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.error,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.light,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.medium,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.success,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.warning,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.selection,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.error,
          'delay': 100,
        },
      ],
    },
  ),
  Mode(
    id: 4,
    isPremium: true,
    name: 'Hook',
    icon: Icons.webhook,
    patterns: {
      'pauses': [
        {
          'type': 1,
          'action': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.error,
          'delay': 400,
        },
        {
          'type': 1,
          'action': 400,
        },
        {
          'type': 2,
          'action': FeedbackType.impact,
          'delay': 400,
        },
        {
          'type': 1,
          'action': 500,
        }
      ],
    },
  ),
  Mode(
    id: 5,
    isPremium: true,
    name: 'Hard',
    icon: Icons.route,
    patterns: {
      'pauses': [
        {
          'type': 2,
          'action': FeedbackType.error,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.impact,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.impact,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.impact,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.impact,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.impact,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.impact,
          'delay': 100,
        },
      ],
    },
  ),
  Mode(
    id: 6,
    isPremium: true,
    name: 'Relax',
    icon: Icons.device_hub,
    patterns: {
      'pauses': [
        {
          'type': 2,
          'action': FeedbackType.heavy,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.error,
          'delay': 100,
        },
        {
          'type': 1,
          'action': 500,
        },
        {
          'type': 2,
          'action': FeedbackType.impact,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.error,
          'delay': 100,
        },
        {
          'type': 2,
          'action': FeedbackType.heavy,
          'delay': 100,
        },
        {
          'type': 1,
          'action': 900,
        },
      ],
    },
  ),
];